View Issue Details

IDProjectCategoryView StatusLast Update
11716Feature requests[All Projects] Expression Managerpublic2019-09-07 13:32
Reporterjelo Assigned ToLouisGac  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11716: Number of Questiongroups
Description

There is a NUMBEROFQUESTIONS variable available.
But no NUMBEROFGROUPS variable.
Allow to access the number of questions groups via a variable.

TagsNo tags attached.

Relationships

related to 11432 closedDenisChenu Allow plugin to add (or update) REPLACEMENT 

Activities

mfavetti

mfavetti

2016-09-28 03:15

developer   ~40994

PR #545

DenisChenu

DenisChenu

2016-09-28 08:29

developer   ~40997

Hi,

Think, there a more usable system : {ACTUALSTEP} {TOTALSTEP} : then you can easily do something like that :

  • You done {ACTUALSTEP} on {TOTALSTEP}
    OR
    <div class="progress">
    <div class="progress-bar" role="progressbar" aria-valuenow="{ACTUALSTEP}/{TOTALSTEP}" aria-valuemin="0" aria-valuemax="100" style="width: {ACTUALSTEP}/{TOTALSTEP}%;">
    <span class="sr-only">{ACTUALSTEP}/{TOTALSTEP}% Complete</span>
    </div>
    </div>

:)

Then : see https://bugs.limesurvey.org/view.php?id=11432

And adding some in core plugins

jelo

jelo

2016-09-28 09:43

partner   ~40999

Thanks for the PR.
Just in case PR is unknown to visitors
PR #545
https://github.com/LimeSurvey/LimeSurvey/pull/545

I submitted the feature request for a user in the forum.
https://www.limesurvey.org/forum/can-i-do-this-with-limesurvey/107142-is-there-a-replacement-field-for-number-of-groups
The number is only needed on the first page.

Personally I'm more concerned about the progress bar, which could need some information about how many groups, questions really shown and what position in the survey the respondent is.
https://bugs.limesurvey.org/view.php?id=9677

DenisChenu

DenisChenu

2016-09-28 09:56

developer   ~41000

Hi jelo,
" The number is only needed on the first page."
This user need only on the first page. But when we adding a new feature : we don't have to think to only oine user but whole actual and future user.

Think have a way to easily extend replacement done is the best solution.

And we can add some in little core plugin : then you need it : you activate it. You don't need you don't activate and you get some ms less to compute the page .....

jelo

jelo

2016-09-28 13:49

partner   ~41002

@Denis: In the long run we're all dead :-)
The PR is there. If PR is accepted, will it prevent any of your future plugins to blossom? Will accepting the PR, decrease the quality of the code?

DenisChenu

DenisChenu

2016-09-28 14:12

developer   ~41003

OK, then i can make 256 PR to add 256 new replavcement . If i do this each time i see a user want it in the forum : i have surely more than 256 ...

It's not a long rune : it's shortest than LS 3.1 ....

jelo

jelo

2016-09-28 15:55

partner   ~41007

@Denis: Will accepting this PR, decrease the quality of the code? You didn't answer that. Will it prevent something codewise, you're currently working on?

Why should this PR not be accepted?

c_schmitz

c_schmitz

2016-09-28 16:08

administrator   ~41008

Last edited: 2016-09-28 16:11

View 2 revisions

For reference: https://www.surveymonkey.com/blog/2016/05/26/progress-bars-good-bad-survey-survey-says/

DenisChenu

DenisChenu

2016-09-28 17:24

developer   ~41012

Last edited: 2016-09-28 17:26

View 2 revisions

@jelo : i just give my Point Of View : it's just : if we merge this PR, there are no reason to merge any other PR adding an new REPLACEMENT. ANd finally we have 1 000 replacements ....

PS : in fact , i remove a lot Prgress bar and give some information on step on some group description.

DenisChenu

DenisChenu

2019-09-07 13:32

developer   ~53525

https://github.com/LimeSurvey/LimeSurvey/pull/545/files

Issue History

Date Modified Username Field Change
2016-09-28 00:43 jelo New Issue
2016-09-28 03:15 mfavetti Note Added: 40994
2016-09-28 08:26 DenisChenu Relationship added related to 11432
2016-09-28 08:29 DenisChenu Note Added: 40997
2016-09-28 09:43 jelo Note Added: 40999
2016-09-28 09:56 DenisChenu Note Added: 41000
2016-09-28 13:49 jelo Note Added: 41002
2016-09-28 14:12 DenisChenu Note Added: 41003
2016-09-28 15:55 jelo Note Added: 41007
2016-09-28 16:08 c_schmitz Note Added: 41008
2016-09-28 16:11 c_schmitz Note Edited: 41008 View Revisions
2016-09-28 17:24 DenisChenu Note Added: 41012
2016-09-28 17:26 DenisChenu Note Edited: 41012 View Revisions
2019-09-07 13:32 DenisChenu Assigned To => LouisGac
2019-09-07 13:32 DenisChenu Status new => closed
2019-09-07 13:32 DenisChenu Resolution open => fixed
2019-09-07 13:32 DenisChenu Fixed in Version => 3.0
2019-09-07 13:32 DenisChenu Note Added: 53525